//==============================================================================
// RandomNumberGenerator.hh
//
//==============================================================================
//.......1.........2.........3.........4.........5.........6.........7.........8
//

#ifndef _RNG
#define _RNG

#include "LocalSTL.hh"

//-----------------------------------------------------------------------------
// * RandomNumberGenerator
//-----------------------------------------------------------------------------
//
class RandomNumberGenerator{
public:

  void   SeedWithClock();
  double Uniform(double mean,double Range);
  double Gaussian(double mean,double StdDev);

};


#endif



