#!/home/hgsc/bin/perl  -w 

use Getopt::Long;

$opt_queue = "atlas_prio";


if (!GetOptions(
					 "help|h",
					 "file|f:s",  # a list of project name  to run on
					 "queue|q:s"
					 )) {
    usage(1);
}


my @all_bactigs=();

#read in all the scaffolds in the list
if($opt_file) {
    open(PROJ, $opt_file) || die "Can not open the $opt_file to read\n";
	 @all_bactigs = <PROJ>;
    close PROJ;
}else{
	 exit(1);
} 

foreach $bactig (@all_bactigs) {
	 chomp($bactig);

	 $splitCmd ="/home/crane4/kdurbin/CBTApps/bac-stitcher/runone-chksplitscaftrimbactig.pl";
	 $jname = "2$bactig";
	 $cmd = "bsub -sp 90 -q $opt_queue -R \"type==LINUX\" -J $jname $splitCmd -p $bactig ";
	 print "$cmd\n";
	 system($cmd);
}
